Page MenuHomePhabricator

Support data-mw.body.id for reference contents
Closed, ResolvedPublic8 Story Points

Description

Old format:

<span typeof="mw:Extension/ref" data-mw='{"name":"ref","body":{"html":"Hello <b>world</b>"}}'>[...]</span>

New format:

<span typeof="mw:Extension/ref" data-mw='{"name":"ref","body":{"id":"mw-cite-foo"}}'>[...]</span>
[...]
<ol typeof="mw:Extension/references">
    <li about="#cite_note-3" id="cite_note-3"><span rel="mw:referencedBy">[...]</span> <span id="mw-cite-foo">Hello <b>world</b></span></li>
    [...]
</ol>

For backwards compatibility, both formats should be supported. Changes to reference contents should always be reflected in data-mw.body.html: if a reference using data-mw.body.id is changed, a data-mw.body.html attribute should be added with the new HTML.

Event Timeline

Catrope created this task.Feb 5 2015, 4:05 AM
Catrope claimed this task.
Catrope raised the priority of this task from to Normal.
Catrope updated the task description. (Show Details)
Catrope set Security to None.
Catrope edited a custom field.
Catrope added subscribers: marcoil, Catrope, Esanders and 3 others.
gerritbot added a subscriber: gerritbot.

Change 188741 had a related patch set uploaded (by Catrope):
Support specifying reference contents with data-mw.body.id

https://gerrit.wikimedia.org/r/188741

Patch-For-Review

Catrope updated the task description. (Show Details)Feb 5 2015, 4:12 AM

Change 188736 had a related patch set uploaded (by Catrope):
Allow access to DM document during model->DOM conversion

https://gerrit.wikimedia.org/r/188736

Patch-For-Review

Change 188737 had a related patch set uploaded (by Catrope):
Pass original document in model->DOM tests

https://gerrit.wikimedia.org/r/188737

Patch-For-Review

Catrope moved this task from To Triage to Blocked on the VisualEditor board.Feb 5 2015, 4:23 AM
Catrope moved this task from Blocked to Q4 on the VisualEditor board.
Catrope moved this task from Q4 to Blocked on the VisualEditor board.Feb 5 2015, 4:26 AM

Change 189120 had a related patch set uploaded (by Catrope):
Track originalHtml in internalItems

https://gerrit.wikimedia.org/r/189120

Patch-For-Review

Change 189121 had a related patch set uploaded (by Catrope):
Update tests for internalItem originalHtml change

https://gerrit.wikimedia.org/r/189121

Patch-For-Review

Change 188736 abandoned by Catrope:
Allow access to DM document during model->DOM conversion

https://gerrit.wikimedia.org/r/188736

Change 188737 abandoned by Catrope:
Pass original document in model->DOM tests

https://gerrit.wikimedia.org/r/188737

Change 189120 merged by jenkins-bot:
Track originalHtml in internalItems

https://gerrit.wikimedia.org/r/189120

Change 189121 merged by jenkins-bot:
Update VE core submodule to master (83a526a)

https://gerrit.wikimedia.org/r/189121

Change 188741 merged by jenkins-bot:
Support specifying reference contents with data-mw.body.id

https://gerrit.wikimedia.org/r/188741

Elitre added a subscriber: Elitre.Feb 11 2015, 8:46 PM
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Feb 21 2015, 12:36 AM